Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FitnessEvaluation.SantaFeAntTrail
Class SantaFeAntTrailInterpreter

    java.lang.Object
      FitnessEvaluation.SantaFeAntTrail.SantaFeAntTrailInterpreter

All Implemented Interfaces:
  FitnessFunction, ParameterI

    public class SantaFeAntTrailInterpreter

extends java.lang.Object
implements FitnessFunction

Too run the interpreter the -trail_type needs to be provided FIXME parse the phenotype to a tree instead of using lookahead

Author:
  erikhemberg

Constructor Summary
`SantaFeAntTrailInterpreter()`

Method Summary
`boolean` | `canCache()` Return true if it is ok to cache the results of the fitness function
`void` | `getFitness(Individual individual)` Calculate the fitness for the individual by interpreting the the phenotype
`void` | `setProperties(java.util.Properties p)` Set properties
`void` | `setTrail_type(java.lang.String trail_type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SantaFeAntTrailInterpreter

    public SantaFeAntTrailInterpreter()

Method Detail

### setTrail_type

    public void setTrail_type(java.lang.String trail_type)

### getFitness

    public void getFitness(Individual individual)

  Calculate the fitness for the individual by interpreting the the phenotype

  Specified by:
    `getFitness` in interface `FitnessFunction`
  Parameters:
    `individual` - Evaluated individual

### canCache

    public boolean canCache()

  Description copied from interface: `FitnessFunction`
  Return true if it is ok to cache the results of the fitness function

  Specified by:
    `canCache` in interface `FitnessFunction`

### setProperties

    public void setProperties(java.util.Properties p)

  Description copied from interface: `ParameterI`
  Set properties

  Specified by:
    `setProperties` in interface `ParameterI`
  Parameters:
    `p` - object containing properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD